Package io.flutter.embedding.android

# Enum FlutterActivityLaunchConfigs.BackgroundMode

java.lang.Object
java.lang.Enum<FlutterActivityLaunchConfigs.BackgroundMode>
io.flutter.embedding.android.FlutterActivityLaunchConfigs.BackgroundMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FlutterActivityLaunchConfigs.BackgroundMode>`, `java.lang.constant.Constable`

Enclosing class:
  `FlutterActivityLaunchConfigs`

public static enum FlutterActivityLaunchConfigs.BackgroundMode extends Enum<FlutterActivityLaunchConfigs.BackgroundMode>
The mode of the background of a Flutter `Activity`, either opaque or transparent.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `opaque`
  Indicates a FlutterActivity with an opaque background.
  `transparent`
  Indicates a FlutterActivity with a transparent background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FlutterActivityLaunchConfigs.BackgroundMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FlutterActivityLaunchConfigs.BackgroundMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### opaque

    public static final FlutterActivityLaunchConfigs.BackgroundMode opaque
    Indicates a FlutterActivity with an opaque background. This is the default.

  - ### transparent

    public static final FlutterActivityLaunchConfigs.BackgroundMode transparent
    Indicates a FlutterActivity with a transparent background.

- ## Method Details

  - ### values

    public static FlutterActivityLaunchConfigs.BackgroundMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FlutterActivityLaunchConfigs.BackgroundMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null